﻿using UnityEngine;
using System;
using System.Collections.Generic;
using System.IO;
using UnityEngine;
using UnityEngine.Events;
using System.Collections;

namespace Mod
{
    public class Mod
    {

        public static void Main()
        {
            //by JulianMagicCraft


            ModAPI.Register(
new Modification()
{
    OriginalItem = ModAPI.FindSpawnable("Crystal"),
    NameOverride = "SCP-009",
    DescriptionOverride = "When SCP-009/Red Ice is in contact with any Entities, SCP-009 will, through unknown mechanisms, transfer its anomalous properties to other objects and creatures. The time it takes for this process to occour is only a few seconds in this Mod.",
    CategoryOverride = ModAPI.FindCategory("Melee"),
    ThumbnailOverride = ModAPI.LoadSprite("scp009.png"),
    AfterSpawn = (Instance) =>
    {
        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("scp009.png");
        Instance.AddComponent<Jmc009>();


        Instance.FixColliders();



    }

        }
);

        }

        public class Jmc009 : MonoBehaviour
        {
            public Jmc009Affected temptation;
         
            
            //7:43
            public void OnCollisionEnter2D(Collision2D watermolecule)
            {
                if (watermolecule.gameObject.GetComponent<LimbBehaviour>() != null)
                {
                    if (watermolecule.gameObject.GetComponent<Jmc009Affected>() == null)
                    {
                        watermolecule.gameObject.GetComponent<PhysicalBehaviour>().Temperature = -99999999f;

                        var ad = watermolecule.gameObject.AddComponent<Jmc009Affected>();
                        temptation = ad;
                        temptation.icecream = true;
                    }
                }
            }

            void OnCollisionExit2D(Collision2D watermoleculee)
            {
                temptation.icecream = false;

            }


            }

        public class Jmc009Affected : MonoBehaviour
        {
            public bool icecream = false;
            //public int icy_cyrastal = UnityEngine.Random.Range(1, 9);
            public bool julianthemagicman = false;

            public void Start()
            {
          
                           
                            gameObject.GetComponent<SpriteRenderer>().color = Color.red;
                            gameObject.GetComponent<PhysicalBehaviour>().Temperature = -999999f;
                            StartCoroutine(Multi());
                  
            }


            public void Update()
            {
                gameObject.GetComponent<PhysicalBehaviour>().Temperature = -999999f;
            }

            public IEnumerator Multi()
            {
             
                    yield return new WaitForSeconds(1.5f);

                var person = gameObject.GetComponent<LimbBehaviour>().Person;

                foreach (var jmc in person.Limbs)
                {

                    jmc.gameObject.AddComponent<Jmc009>();
                    jmc.gameObject.GetComponent<SpriteRenderer>().color = Color.red;
                    jmc.gameObject.GetComponent<PhysicalBehaviour>().Temperature = -999999f;

         

                }
            
            }

        }






        }
    }
     
    





